## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate quicli

Name:           rust-quicli
Version:        0.4.0
Release:        %autorelease
Summary:        Quickly build cool CLI apps in Rust

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/quicli
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump clap-verbosity-flag dependency from 0.2 to 2.0
# * bump globwalk dependency from 0.3 to 0.8
# * bump remove_dir_all dependency from 0.5 to 0.7
Patch:          quicli-fix-metadata.diff
# * adapt to API changes between globwalk v0.3 and v0.8 (upstream PR #107)
Patch:          quicli-globwalk.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Quickly build cool CLI apps in Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/Changelog.md
%doc %{crate_instdir}/Readme.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+full-throttle-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+full-throttle-devel %{_description}

This package contains library source intended for building other packages which
use the "full-throttle" feature of the "%{crate}" crate.

%files       -n %{name}+full-throttle-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+globwalk-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+globwalk-devel %{_description}

This package contains library source intended for building other packages which
use the "globwalk" feature of the "%{crate}" crate.

%files       -n %{name}+globwalk-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rayon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rayon-devel %{_description}

This package contains library source intended for building other packages which
use the "rayon" feature of the "%{crate}" crate.

%files       -n %{name}+rayon-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+remove_dir_all-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+remove_dir_all-devel %{_description}

This package contains library source intended for building other packages which
use the "remove_dir_all" feature of the "%{crate}" crate.

%files       -n %{name}+remove_dir_all-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_derive-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_derive" feature of the "%{crate}" crate.

%files       -n %{name}+serde_derive-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Jun 26 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-3
- Bump clap-verbosity-flag dependency from 0.3 to 2.0

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 28 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 0.4.0-1
- Initial import; Fixes: RHBZ#1990648
